#pragma once
#include <vector>
#include "Asset.h"

class AssetManager {
public:

	static void Init();
	static void BuildAssetView();
	static void setAssetPath(std::filesystem::path path);

	static YoggieEngine::Mesh* LoadFromAssetFile(const std::filesystem::path assetPath);
	static YoggieEngine::Renderable* LoadFromSource(const std::filesystem::path srcPath, const std::filesystem::path assetFolder);
	
	static std::vector<Asset> assets ;

private:
	static std::filesystem::path currentPath;

};